
%% This is the script to produce the thencnical noise paper figure %%

mmPhi = pi*[0:0.2:1];
%mmPhi = 0;
f = logspace(0, 4, 1000)';
n_curves = length(mmPhi);

n1_lossFC_list = zeros(length(f), n_curves);
n1_phaseNoise_FD_list = zeros(length(f), n_curves);
n1_mm_list = zeros(length(f), n_curves);
n1_perfectSQZ_list = zeros(length(f), n_curves);
n1_phaseNoise_FI_list = zeros(length(f), n_curves);
n1_injLoss_list = zeros(length(f), n_curves);

n1_mm_min = zeros(length(f), 1);
n1_mm_max = zeros(length(f), 1);

n1_phaseFD_min = zeros(length(f), 1);
n1_phaseFD_max = zeros(length(f), 1);

n1_lossFC_min = zeros(length(f), 1);
n1_lossFC_max = zeros(length(f), 1);

figure(1)
for k = 1 : n_curves
    
    [n1_perfectSQZ,  n1_phaseNoise_FI, n1_injLoss, n1_mm, n1_phaseNoise_FD, n1_lossFC, f] = makePlots_Final_300m(mmPhi(k));
    
    n1_perfectSQZ_list(:,k) = n1_perfectSQZ;
    n1_phaseNoise_FI_list(:, k) = n1_phaseNoise_FI;
    n1_injLoss_list(:, k) = n1_injLoss;
    n1_mm_list(:,k) =  n1_mm;
    n1_phaseNoise_FD_list(:,k) = n1_phaseNoise_FD;
    n1_lossFC_list(:, k) = n1_lossFC;
      
end


 figure(10)
%     lh = semilogx(f, mag2db([n1_perfectSQZ, n1_phaseNoise_FI, ...
%       n1_injLoss, n1_mm, n1_phaseNoise_FD, n1_lossFC,]), '--');
%    lh = semilogx(f, mag2db([n1_perfectSQZ, n1_phaseNoise_FI, n1_injLoss, n1_mm]), '-');
%    grid on
%    legend('Perfect squeezed state','Frequency independent phase noise', 'Injection/Readout Losses', 'MM', ...
%        'Frequency dependent phase noise', 'Lossy FC')
%    hold on;


for k = 1 : length(f)
    
    n1_mm_min(k) = min(n1_mm_list(k,:));
    n1_mm_max(k) = max(n1_mm_list(k,:));
    n1_phaseFD_min(k) = min(n1_phaseNoise_FD_list(k,:));
    n1_phaseFD_max(k) = max(n1_phaseNoise_FD_list(k,:));
    n1_lossFC_min(k) = min(n1_lossFC_list(k,:));
    n1_lossFC_max(k) = max(n1_lossFC_list(k,:));
     
end

semilogx(f, n1_perfectSQZ_list(:,1), 'b-', f, n1_phaseNoise_FI_list(:,1), 'g-',...
    f, n1_injLoss_list(:,1),'r-', f, n1_mm_min, 'c', ...
    f, n1_phaseFD_min, 'm', f, n1_lossFC_min, 'y');
legend('Perfect squeezed state','Frequency independent phase noise', 'Injection/Readout Losses',...
    'Mode mis-matching', ...
   'Frequency dependent phase noise',...
   'Filter cavity losses');
grid on;

xlabel('Frequency [Hz]');
ylabel('Quantum noise relative to coherent vacuum [dB]');

hold on;
ciplot(n1_lossFC_min ,n1_lossFC_max, f ,[1.0    0.9   0.3]);
hold on;

semilogx(f, n1_mm_list, 'c--', f, n1_mm_max, 'c', f, n1_phaseNoise_FD_list, 'm--',...
    f, n1_phaseFD_max,'m', f, n1_lossFC_list, 'y--', f, n1_lossFC_max, 'y', f, n1_lossFC_min, 'y');



% semilogx(f,n1_mm_list(:, n_inMin), 'c', f, n1_mm_list(:, n_inMax), 'c');
% hold on;
% ciplot(n1_mm_list(:, n_inMin), n1_mm_list(:, n_inMax),f,[ 0    0.8    1 ]);
% alpha(0.3)
% 
% vect1 = n1_phaseNoise_FD_list(1, :);
% 
% n_inMin = find(vect1 == min(vect1));
% n_inMax = find(vect1 == max(vect1));
% 
% 
% semilogx(f,n1_phaseNoise_FD_list(:, n_inMin), 'm', f,n1_phaseNoise_FD_list(:, n_inMax), 'm');
% hold on;
% ciplot(n1_phaseNoise_FD_list(:, n_inMin), n1_phaseNoise_FD_list(:, n_inMax),f,[ 0.8549 0.702 1]);
% alpha(0.3)


% 
% colors2 = [  0.0   0.0   1.0    % blu
%            1.0   0.0   0.0     % red
%             0    0.8    1      % celeste
%             1.0   0.6   0      % arancione
%             1     0.3   0.9     % pink
%                0      1     0.25    % bright green 
%               0.8549 0.702 1   % rosino 
%             0.5   0.0   1.0     % viola 
%              0       0.5     0   % dark green
%               0.7   0.9   0.24    % light green
%              0.62   0.62    0.62  %grey
%              0.6   0.4   0.3    % brown
%            1.0    0.9   0.3    %yellow
%            0      0     0      %black
%            0      0    0];     % black