(TeX-add-style-hook
 "FC_DRD"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("glossaries" "automake" "acronym" "toc" "nonumberlist") ("placeins" "section")))
   (add-to-list 'LaTeX-verbatim-environments-local "lstlisting")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "nolinkurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperbaseurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperimage")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperref")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "lstinline")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "lstinline")
   (TeX-run-style-hooks
    "latex2e"
    "ligodocmodern"
    "ligodocmodern10"
    "hyperref"
    "amsmath"
    "amssymb"
    "listings"
    "ulem"
    "xcolor"
    "setspace"
    "braket"
    "subfig"
    "xfrac"
    "glossaries"
    "autofigs8"
    "placeins")
   (TeX-add-symbols
    '("Op" 2)
    '("Id" 1)
    '("sirHz" 1)
    '("si" 1)
    '("cSensitivity" 2)
    '("Sensitivity" 2)
    '("e" 2)
    '("tcode" 1)
    '("mat" 1)
    '("conj" 1)
    '("red" 1)
    '("dcc" 1)
    '("hblue" 2)
    '("link" 2)
    "freqR"
    "freqRHz"
    "Tin"
    "degang"
    "Finesse"
    "Fpole"
    "Fsb"
    "Ffsr"
    "Fcarrier"
    "Fdet"
    "FSQL"
    "FFC"
    "UnitRtWatt"
    "LossRT"
    "rRT"
    "Fin"
    "Frefl"
    "Fcirc"
    "Fmirror"
    "Msafety"
    "Msqz"
    "Mdpass"
    "Pleak"
    "HcavDL")
   (LaTeX-add-labels
    "fig:overview"
    "sec:linewidth"
    "eq:gammaFC"
    "sec:lengthFinesse"
    "sec:loss"
    "sec:lossLength"
    "sec:backScatter"
    "fig:backScatter"
    "tab:1"
    "fig:Msqz"
    "sec:FCisolation"
    "eq:HcavDL"
    "eq:FCisolation50nW"
    "eq:FCisolation50pW"
    "fig:HSTS"
    "ligodoc-lastpage"
    "sec:HSTS_3mrad"
    "fig:HSTS_3mrad"
    "sec:RelayIsol"
    "fig:OPOS"
    "sec:HTTSrelay"
    "fig:HTTS"
    "fig:OMCS"
    "fig:FCvacuum_req"
    "sec:controls"
    "sec:lengthRMS"
    "sec:10HzUgf"
    "sec:20HzUgf"
    "sec:mode-matching"
    "tab:MMparam"
    "fig:overviewMM1"
    "fig:overviewMM2"
    "fig:overviewMM3"
    "fig:overviewMM4"
    "fig:overviewMM5"
    "fig:overviewMM6"
    "fig:overviewMM"
    "sec:beamsize"
    "sec:baffles"
    "eq:diffscatter"
    "sec:alignment"
    "sec:performance"
    "sec:powerDep"
    "sec:formula"
    "tab:paramCalc"
    "tab:FC_1064_params"
    "eq:mirror_phase_sense"
    "sec:OC_FP_derivations"
    "eq:OC_FP_sense"
    "sec:SEI"
    "sec:susCalc"
    "tab:sus_heights"
    "sec:appControl"
    "tab:loop_20Hz"
    "tab:loop_10Hz")
   (LaTeX-add-bibitems
    "degrad"
    "KLVT"
    "lossPaper"
    "realisticPaper"
    "audioFDS"))
 :latex)

